Bug 1550276 - Getting Couldn't find MiqTask Errors in evm.log
Summary: Getting Couldn't find MiqTask Errors in evm.log
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: C&U Capacity and Utilization
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.4
Assignee: Yuri Rudman
QA Contact: Nandini Chandra
URL:
Whiteboard: c&u
Keywords: ZStream
Depends On: 1397247
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-28 22:27 UTC by Satoe Imaishi
Modified: 2018-06-25 14:18 UTC (History)
9 users (show)

(edit)
Clone Of: 1397247
(edit)
Last Closed: 2018-06-25 14:17:44 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:18 UTC

Comment 2 CFME Bot 2018-02-28 22:41:26 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/f39c617ed64e8b6dff2d67ab58b5f265301781ae

commit f39c617ed64e8b6dff2d67ab58b5f265301781ae
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Wed Jun 21 17:03:06 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Feb 28 17:31:00 2018 -0500

    Merge pull request #15415 from yrudman/added-delete-by-condition-to-miq-task
    
    Refactor MiqTask.delete_older to queue condition instead of array of IDs
    (cherry picked from commit ed1af7cff52cf00c418a1f2549cbd98e9739898a)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1550276

 app/models/miq_task.rb       | 15 ++++++++++---
 spec/models/miq_task_spec.rb | 50 +++++++++++++++++++++++++++++++++++++-------
 2 files changed, 54 insertions(+), 11 deletions(-)

Comment 3 Nandini Chandra 2018-04-19 22:10:10 UTC
verified in 5.8.4.1

Comment 4 Nandini Chandra 2018-04-19 22:10:35 UTC
Steps:
1. Disable Reporting role.
2. Queue several reports.Reporting role is disabled so that these reports remain queued and don't get run.
2. Stop EVM Server Processes
3. from rails console execute 2 commands:
 > MiqTask.delete_older(Time.now, "name LIKE 'Generate Report:%'")
 > MiqTask.delete_older(Time.now, "name LIKE 'Generate Report:%'")

   'evmserver' is stopped so that these two 'delete' tasks remain queued and   don't get run
4. Start EVM Server Processes

Before fix:
Error message in evm.log

After fix:
No error message in evm.log

Comment 6 errata-xmlrpc 2018-06-25 14:17:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.